Ticket #4337 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

参加時の管理者承認制でプロフィールが登録されない

Reported by: pnetan Assigned to: kudo
Priority: major Milestone: OpenPNE2.14.3
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by kudo)

■現象

「参加時の管理者承認」が必要な場合、メンバー登録時に登録したプロフィール項目が反映されずに消えてしまう。(ニックネーム、生まれた年、誕生日以外の項目が消えてしまう)

■原因

「参加時の管理人承認」が必要な場合にプロフィール項目がc_member_pre_profileに保存されていなかった。

■修正内容

「参加時の管理人承認」が必要な場合でもプロフィールを一時登録するようにした。

また、一時保存されたプロフィールデータを削除するコードが抜けていたので追加した。

■関連情報

報告元へのリンク・関連するチケットなどの補足情報を記入

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=21755より転記

2ヶ月位前からVer2.12.12を試験導入して問題なく運用中。
先週、最新版のVer2.14.1.1にアップグレードし、欲しかった機能である”参加時の管理者承認”を"管理者の承認が必要"との設定にして運用を再開したところ、次のような現象が発生.


【現象】
1)新規登録時にメンバーが基本的なプロフィール項目を登録し、参加申請をする
2)管理者のメンバー管理画面の”承認待ちリスト”に登録される
3)承認待ちリストのメンバーを承認する
<ここまではO.K.。この後が問題の現象>
4)ここで、正式にメンバーとして登録されるのですが、新規メンバーは1)で入力した基本プロフィール項目が全てブランク(空データ)となってしまう。

5)”参加時の管理者承認”を"管理者の承認は不要"に戻せば、4)の現象は解消され正常に運用できます。


当方の運用環境
・レンタルサーバー:エックスサーバー系のSixCore
・PHPバージョン:5.1.6
・MySQLバージョン: 5.0.22



関連コミュニティ
http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_...

Change History

10/27/09 17:10:53 changed by imamura623

  • keywords deleted.
  • description changed.

再現テスト実施しました。再現したのでDescriptionに追記しました。

■再現方法

  1. SNS設定にて「参加時の管理者承認」が必要にする
  2. プロフィール項目設定画面でプロフィール項目を追加する
  3. ログイン画面よりメンバー登録を実施する
  4. 管理画面よりメンバー登録の承認をする
  5. 承認したメンバーでログインしプロフィールを確認すると追加したプロフィール項目の内容が反映されない

(デフォルトのニックネーム、生まれた年、誕生日の項目は問題無し)

10/29/09 11:03:05 changed by kiwa

  • priority changed from minor to major.
  • version set to 2.14.x.
  • milestone set to OpenPNE2.14.3.

対応しましょう。

11/04/09 17:23:13 changed by kudo

  • owner changed from nobody to kudo.
  • status changed from new to assigned.

やります。

11/04/09 17:42:57 changed by kudo

  • keywords set to 確認中.
  • description changed.

プロフィール項目がc_member_pre_profileに登録されていないことが原因でした。

にて修正しました。確認お願いします。

(follow-up: ↓ 10 ) 11/13/09 12:03:11 changed by itoda

確認完了しました。

  • 「参加時の管理者承認」を必要とする状態で登録後、プロフィール画面を確認
  • 「参加時の管理者承認」を必要としない状態で登録後、プロフィール画面を確認

(follow-ups: ↓ 7 ↓ 8 ) 11/18/09 12:28:09 changed by shingo

  • keywords changed from 確認中 to 差し戻し.
  • このチケットとは別ですが、openpne_redirectの第3引数が不要です。ついでに消して下さい。
    webapp/modules/pc/do/o_regist_prof.php
    
    185                 openpne_redirect('pc', 'page_o_regist_end', array('c_member_id' => $u));
    
  • 不具合ではないですが、管理者の確認画面(?m=admin&a=page_list_sns_entry)で、生年月日以外のプロフィール項目が確認できないようです。不適切な書き込みが内容に確認できた方がいいと思います。
  • 不具合ではないですが、承認待ちメンバーがいない時も行がないテーブルが表示されていることに違和感を感じます(このチケットとは関係ないです)

(in reply to: ↑ 6 ) 11/18/09 13:03:55 changed by shingo

Replying to shingo:

* このチケットとは別ですが、openpne_redirectの第3引数が不要です。ついでに消して下さい。

上記の件、取り消します。修正の必要はないです。

(in reply to: ↑ 6 ) 11/18/09 13:27:17 changed by kudo

  • keywords changed from 差し戻し to 確認中.

Replying to shingo:

* 不具合ではないですが、管理者の確認画面(?m=admin&a=page_list_sns_entry)で、生年月日以外のプロフィール項目が確認できないようです。不適切な書き込みが内容に確認できた方がいいと思います。

* 不具合ではないですが、承認待ちメンバーがいない時も行がないテーブルが表示されていることに違和感を感じます(このチケットとは関係ないです)

上記の2点についてそれぞれチケットを作りました。

  • #4375 管理者の承認確認画面で生年月日以外のプロフィール項目が確認できない
  • #4376 承認待ちメンバーがいない時も行がないテーブルが表示される

11/18/09 16:31:06 changed by shingo

  • keywords changed from 確認中 to テスト待ち.

テストにまわします

(in reply to: ↑ 5 ) 11/18/09 16:35:19 changed by imamura623

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

Replying to itoda:

確認完了しました。 * 「参加時の管理者承認」を必要とする状態で登録後、プロフィール画面を確認 * 「参加時の管理者承認」を必要としない状態で登録後、プロフィール画面を確認

テスト済みなのでチケットクローズします。